<commands>
<command name="modlist" usage="modlist" desc="List all available module types" shortDesc="List all available module types.">
</command>
<command name="module" usage="module module_type instance_name"  desc="Create instance instance_name of type module_type" shortDesc="Create module instances.">
	<arg name="module_type" desc="Name of module type"/>
	<arg name="instance_name" desc="Name of instance, must be unique."/>
</command>
<command name="vars" usage="vars [instance_name]" desc="Print all variables of instance instance_name" shortDesc="Print all variables of algorithm instance.">
	<arg name="instance_name" desc="Name of instance. Can be ommited, if default module is set."/>
</command>
<command name="sets" usage="sets [instance_name] variable value" desc="Sets instance_name variable to value" shortDesc="Sets value of variables of algorithm instance.">
	<arg name="instance_name" desc="Name of instance. Can be ommited, if default module is set."/>
	<arg name="variable" desc="Name of variable."/>
	<arg name="value" desc="Value."/>
</command>
<command name="on" usage="on instance_name command_name [param1 ... paramN]" desc="Runs module-specific command command_name on module named instance_name" shortDesc="Run command specific command on algorithm instance.">
	<arg name="instance_name" desc="Name of instance."/>
	<arg name="command_name" desc="Name of command."/>
</command>
<command name="default" usage="default instance_name" desc="Module instance instance_name would be preffered." shortDesc="Make shortcut to algorithm instance.">
	<arg name="instance_name" desc="Name of instance."/>
</command>
<command name="helps" usage="helps [command_name]" desc="Lists all specific commands or gives help to specific command." shortDesc="Gives this help or helps with specific command.">
	<arg name="command_name" desc="Name of command."/>
</command>
<command name="run" usage="run [instance_name]" desc="Runs instance." shortDesc="Run the algorithm instance.">
	<arg name="instance_name" desc="Name of instance. Can be ommited, if default module is set."/>
</command>
<overview>
For using the algorithm, you must first create it in the system. 
List of available algorithm is accessible via the modlist command. Algorithm created in system is called instance, algorithm instance or module instance.
Each this instance must have unique name. Than you can list its input parameters (vars) or set its input parameters (sets).
After you're satisfied with input parameters, you can run the instance.
&#10;&#10;Command list:&#10;
</overview>
</commands>
